Debian Bug report logs - #493180
dpkg-cross: support for package-specific cache values

version graph

Package: dpkg-cross; Maintainer for dpkg-cross is Debian Embedded Group <debian-embedded@lists.debian.org>; Source for dpkg-cross is src:dpkg-cross.

Reported by: Herbert P Fortes Neto <h_p_f_n@yahoo.com.br>

Date: Fri, 1 Aug 2008 02:57:01 UTC

Severity: normal

Tags: confirmed

Found in version dpkg-cross/2.3.0.1

Fixed in version dpkg-cross/2.4.0

Done: Neil Williams <codehelp@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Neil Williams <codehelp@debian.org>:
Bug#493180; Package emdebian-tools. Full text and rfc822 format available.

Acknowledgement sent to Herbert P Fortes Neto <h_p_f_n@yahoo.com.br>:
New Bug report received and forwarded. Copy sent to Neil Williams <codehelp@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Herbert P Fortes Neto <h_p_f_n@yahoo.com.br>
To: "Debian Bug Tracking System" <submit@bugs.debian.org>
Subject: emdebian-tools: usbutils-0.73 --cache-flie
Date: Thu, 31 Jul 2008 23:55:42 -0300
[Message part 1 (text/plain, inline)]
Package: emdebian-tools
Version: 1.4.1
Severity: normal

 Hi,

 The usbutils-0.73 package fails to build because
of:

 configure: loading cache ../i486-linux-gnu.cache
 configure: error: `CFLAGS' has changed since the previous run: <<<
 configure:   former value:  -g -O2
 configure:   current value: -g -O2 -Os
 configure: error: changes in the environment can compromise the build

 The i486-linux-gnu.cache file is update.


 Regards,
-- 
Herbert Parentes Fortes Neto (hpfn)
Linux user number 416100
0x9834F79E -- http://pgp.mit.edu/

[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#493180; Package emdebian-tools. Full text and rfc822 format available.

Acknowledgement sent to Neil Williams <codehelp@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #10 received at 493180@bugs.debian.org (full text, mbox):

From: Neil Williams <codehelp@debian.org>
To: Herbert P Fortes Neto <h_p_f_n@yahoo.com.br>, 493180@bugs.debian.org
Subject: Re: Bug#493180: emdebian-tools: usbutils-0.73 --cache-flie
Date: Fri, 01 Aug 2008 09:01:37 +0100
[Message part 1 (text/plain, inline)]
On Thu, 2008-07-31 at 23:55 -0300, Herbert P Fortes Neto wrote:
> Package: emdebian-tools
> Version: 1.4.1
> Severity: normal
> 
>  Hi,
> 
>  The usbutils-0.73 package fails to build because
> of:
> 
>  configure: loading cache ../i486-linux-gnu.cache
>  configure: error: `CFLAGS' has changed since the previous run: <<<
>  configure:   former value:  -g -O2
>  configure:   current value: -g -O2 -Os
>  configure: error: changes in the environment can compromise the build
> 
>  The i486-linux-gnu.cache file is update.

(bug requested on mailing list thread so that I don't lose track of the
issue - thanks, Herbert, this is just the info I needed.)

FTR, the problem is that the cache file should only be needed for
cross-builds so a method of handling cache values outside debian/rules
(probably via dpkg-cross) is being prepared.

For now, the workaround is to remove the cache file separately or make
the cache file unwritable using 'chmod 400' so that the values are not
changed.

I'll get to this during DebConf, hopefully.

-- 


Neil Williams
=============
http://www.data-freedom.org/
http://www.nosoftwarepatents.com/
http://www.linux.codehelp.co.uk/


[signature.asc (application/pgp-signature, inline)]

Tags added: confirmed Request was from Neil Williams <codehelp@debian.org> to control@bugs.debian.org. (Fri, 01 Aug 2008 08:16:26 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#493180; Package emdebian-tools. Full text and rfc822 format available.

Acknowledgement sent to Neil Williams <codehelp@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #17 received at 493180@bugs.debian.org (full text, mbox):

From: Neil Williams <codehelp@debian.org>
To: 493180@bugs.debian.org
Subject: Fixed for usbutils but problem exists elsewhere
Date: Mon, 01 Sep 2008 20:29:23 +0100
[Message part 1 (text/plain, inline)]
I'm leaving this bug open for now but I have got a fix for usbutils
itself. I'm hoping to have a complete fix for these cache files by the
end of the meeting in Extremadura.

The one problematic package is orbit2 - it might need a few custom
handlers somehow. Not sure how just yet.

-- 


Neil Williams
=============
http://www.data-freedom.org/
http://www.nosoftwarepatents.com/
http://www.linux.codehelp.co.uk/


[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#493180; Package emdebian-tools. (Tue, 27 Jan 2009 09:39:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Neil Williams <codehelp@debian.org>:
Extra info received and forwarded to list. (Tue, 27 Jan 2009 09:39:05 GMT) Full text and rfc822 format available.

Message #22 received at 493180@bugs.debian.org (full text, mbox):

From: Neil Williams <codehelp@debian.org>
To: 493180@bugs.debian.org
Subject: a tip
Date: Tue, 27 Jan 2009 09:37:32 +0000
[Message part 1 (text/plain, inline)]
Just a tip for the cache file handling - when porting the cache file
into dpkg-cross, ensure the "$PACKAGE_NAME" variable is read directly
from the upstream ./configure - e.g. the PACKAGE_NAME for findutils is
"GNU findutils".

-- 


Neil Williams
=============
http://www.data-freedom.org/
http://www.nosoftwarepatents.com/
http://www.linux.codehelp.co.uk/

[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#493180; Package emdebian-tools. (Tue, 10 Feb 2009 16:27:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Neil Williams <codehelp@debian.org>:
Extra info received and forwarded to list. (Tue, 10 Feb 2009 16:27:02 GMT) Full text and rfc822 format available.

Message #27 received at 493180@bugs.debian.org (full text, mbox):

From: Neil Williams <codehelp@debian.org>
To: 493180@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Solution for ORBit2
Date: Tue, 10 Feb 2009 16:22:48 +0000
[Message part 1 (text/plain, inline)]
reassign 493180 dpkg-cross
thanks

ORBit2 can be handled using a package-specific *AND*
architecture-dependent set of cache values, read from the Debian build
logs.

View the buildd log, search for alignof and assign the values output by
the native check to the config/cross-config.$arch file within a
package-specific block:

on armel:

#orbit2
if [ "$PACKAGE" = "orbit2" -o "$PACKAGE_NAME" = "ORBit2" ]; then
ac_cv_alignof_CORBA_octet=1
ac_cv_alignof_CORBA_boolean=1
ac_cv_alignof_CORBA_char=1
ac_cv_alignof_CORBA_wchar=2
ac_cv_alignof_CORBA_short=2
ac_cv_alignof_CORBA_long=4
ac_cv_alignof_CORBA_long_long=8
ac_cv_alignof_CORBA_float=4
ac_cv_alignof_CORBA_double=4
ac_cv_alignof_CORBA_long_double=8
ac_cv_alignof_CORBA_struct=1
ac_cv_alignof_CORBA_pointer=4
fi

With one proviso, that orbit2 keeps too much cache status around and
the old directory needs to be removed with 'emsource -c orbit2' before
each test or the build goes into a loop, constantly re-checking the
config.

-- 


Neil Williams
=============
http://www.data-freedom.org/
http://www.nosoftwarepatents.com/
http://www.linux.codehelp.co.uk/

[Message part 2 (application/pgp-signature, inline)]

Bug reassigned from package `emdebian-tools' to `dpkg-cross'. Request was from Neil Williams <codehelp@debian.org> to control@bugs.debian.org. (Tue, 10 Feb 2009 16:27:05 GMT) Full text and rfc822 format available.

Bug marked as found in version 2.3.0.1. Request was from Neil Williams <codehelp@debian.org> to control@bugs.debian.org. (Tue, 10 Feb 2009 16:42:02 GMT) Full text and rfc822 format available.

Changed Bug title to `dpkg-cross: support for package-specific cache values' from `emdebian-tools: usbutils-0.73 --cache-flie'. Request was from Neil Williams <codehelp@debian.org> to control@bugs.debian.org. (Tue, 10 Feb 2009 16:42:03 GMT) Full text and rfc822 format available.

Tags added: pending Request was from Neil Williams <codehelp@debian.org> to control@bugs.debian.org. (Tue, 10 Feb 2009 16:54:02 GMT) Full text and rfc822 format available.

Reply sent to Neil Williams <codehelp@debian.org>:
You have taken responsibility. (Sun, 15 Feb 2009 14:18:17 GMT) Full text and rfc822 format available.

Notification sent to Herbert P Fortes Neto <h_p_f_n@yahoo.com.br>:
Bug acknowledged by developer. (Sun, 15 Feb 2009 14:18:17 GMT) Full text and rfc822 format available.

Message #40 received at 493180-close@bugs.debian.org (full text, mbox):

From: Neil Williams <codehelp@debian.org>
To: 493180-close@bugs.debian.org
Subject: Bug#493180: fixed in dpkg-cross 2.4.0
Date: Sun, 15 Feb 2009 13:59:24 +0000
Source: dpkg-cross
Source-Version: 2.4.0

We believe that the bug you reported is fixed in the latest version of
dpkg-cross, which is due to be installed in the Debian FTP archive:

dpkg-cross_2.4.0.dsc
  to pool/main/d/dpkg-cross/dpkg-cross_2.4.0.dsc
dpkg-cross_2.4.0.tar.gz
  to pool/main/d/dpkg-cross/dpkg-cross_2.4.0.tar.gz
dpkg-cross_2.4.0_all.deb
  to pool/main/d/dpkg-cross/dpkg-cross_2.4.0_all.deb
libdebian-dpkgcross-perl_2.4.0_all.deb
  to pool/main/d/dpkg-cross/libdebian-dpkgcross-perl_2.4.0_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 493180@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Neil Williams <codehelp@debian.org> (supplier of updated dpkg-cross package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 15 Feb 2009 11:25:46 +0000
Source: dpkg-cross
Binary: dpkg-cross libdebian-dpkgcross-perl
Architecture: source all
Version: 2.4.0
Distribution: unstable
Urgency: low
Maintainer: Debian Embedded Group <debian-embedded@lists.debian.org>
Changed-By: Neil Williams <codehelp@debian.org>
Description: 
 dpkg-cross - tools for cross compiling Debian packages
 libdebian-dpkgcross-perl - functions to aid cross-compiling Debian packages
Closes: 447427 493180 499292 506229 506956 513203 514249 514604
Changes: 
 dpkg-cross (2.4.0) unstable; urgency=low
 .
   * Merge Emdebian releases into Debian.
   * Remove dependencies on outdated -dcv1 compatibility packages,
     retain Provides for now. (Closes: #514249)
 .
 dpkg-cross (2.3.6) unstable; urgency=low
 .
   * Fix cache support for packages with unusual AC_INIT calls.
   * Add cache support for mipsel.
 .
 dpkg-cross (2.3.5) unstable; urgency=low
 .
   * [INTL:es] Spanish debconf template translation for dpkg-cross
     (Closes: #514604)
   * Implement support for package-specific cache values using CONFIG_SITE
     and /etc/dpkg-cross/cross-config.d/$arch support. (Closes: #493180)
 .
 dpkg-cross (2.3.4) unstable; urgency=low
 .
   * Fix "dpkg-cross fails to provide correct .pc for libpthread-stubs0-
     dev" by marking pkgconfig files in /usr/share/ as 'useful'.
     (Closes: #506229)
   * Allow an exception so that dpkg-cross can handle symlinks to
     pkgconfig files. (Closes: #506956)
   * Debian/DpkgCross.pm :Add a note to endiannes function that dpkg-
     cross needs to be installed as well as the perl module in order for
     the function to retrieve the endianness data.
   * Add missing cache values for findutils to allow findutils to remove
     the cache file. (Closes: #513203)
 .
 dpkg-cross (2.3.3) unstable; urgency=low
 .
   * Migrate gccross to emdebian-tools
   *  + to aid migration of dpkg-cross into dpkg and dpkg-dev
   *  + to retain gccross support until all packages are fixed
   *  + to implement support for marking all packages using gccross as
     buggy.
   * drop buildcross which is now implemented inside emdebuild if
     '[X-]Build-Cross-Libtool: yes' is used in debian/xcontrol
   * dpkg-cross : migrate manpage content to POD for compatibility with
     dpkg-dev
   * migrate default options into the module instead of the conffile
   * check for and remove dangling symlinks (Closes: #499292) by
     stopping the creation of symlinks for files that are not
     interesting.
   * remove obsolete files from CVS and source tarball
   * using pod2man, so drop docbook-to-man build-depends
   * Improve error checking in case  value really is undefined
   * Add dynamic archtable settings to make it easier to support uClibc
     permutations: please support wrong architecture (Closes: #447427)
   * dpkg-cross : Remove cairo hack and finish simplifying the regexp
     lines to remove unnecessary escape characters.
   * debian/rules: final tweak to update from i18n update, clean up
     module man page
 .
 dpkg-cross (2.3.2) unstable; urgency=low
 .
   * Support package-specific cache values
   * config/cross-config.arm config/cross-config.armel : load the global
     variables before the previous values to retain the architecture-
     dependent values
   * config/cross-config.cache : drop orbit data (specialized support
     elsewhere) and reorganise blocks alphabetically
   * dpkg-cross : Implement support for generated cache data in
     /etc/dpkg-cross/cross-config.d/ and architecture-dependent sub
     directories
   * config/cross-config.cache : wrap cache values in package and
     package_name conditionals. Restrict loading of files in
     /etc/dpkg-cross/cross-config.d/ to files matching the package_name
     variable assigned within ./configure.
   * dpkg-cross : Support installing cmake files in -dev packages.
   * Adapt the experimental CMake example file for (hopefully) different
     Linux architectures
   * Add a few CMake tips to the dpkg-cross manpage
 .
 dpkg-cross (2.3.1) unstable; urgency=low
 .
   * Support collected cache values for system-wide comparisons
Checksums-Sha1: 
 f59caff76c01420b6553ac3d43a9210020474ceb 1223 dpkg-cross_2.4.0.dsc
 f5c1d37fec5c40f457c4c3ef2fa6ecc5d4cffc03 73460 dpkg-cross_2.4.0.tar.gz
 2a672b2cd9761f4e1f69181e43c764987952a589 50356 dpkg-cross_2.4.0_all.deb
 c7ca74a045e4f16da668d93f3bac8ba54fd78a1e 32918 libdebian-dpkgcross-perl_2.4.0_all.deb
Checksums-Sha256: 
 f78769677f00f88076360d531a579d5418f644e2dc1bbf709f92c4caf739f46b 1223 dpkg-cross_2.4.0.dsc
 04240bac9c74eff2d8189fe1c43fa0a0b8db1152901035c73e6b78739108303b 73460 dpkg-cross_2.4.0.tar.gz
 1e544fc008b02ec2a49fd06fe884ae69d5c67a8288a64dbeb39c5b4629a3b0ce 50356 dpkg-cross_2.4.0_all.deb
 73427b798ac560776b80413acf6d38c2607550d4eff9d642b0c83a06ce34e6db 32918 libdebian-dpkgcross-perl_2.4.0_all.deb
Files: 
 553387c5146e86fa5dda3e4275719bd4 1223 utils extra dpkg-cross_2.4.0.dsc
 6fefb3522eee6cc2ecbb4c1a2e07ed85 73460 utils extra dpkg-cross_2.4.0.tar.gz
 45a4cc048975bf52f7cb05a00e3a707d 50356 utils extra dpkg-cross_2.4.0_all.deb
 486eb96b50c2d888ed8d705ba8ffae4e 32918 perl extra libdebian-dpkgcross-perl_2.4.0_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkmYFj8ACgkQiAEJSii8s+Nx9QCfRZHVrXhe3DkuoVbBFpP9WZ16
TmwAnj3yhbap6qeWltV4cu7ttM/Dor+U
=U8XH
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 26 Mar 2009 07:42:49 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 20:23:31 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.